Subject: Re: [PATCH 1/4] dt-bindings: allow up to four clocks for orion-mdio

From: Andrew Lunn <[email-masked]>
Date: Tue, 9 Jul 2019 04:41:43 +0200

> >  Optional properties:
> >  - interrupts: interrupt line number for the SMI error/done interrupt
> > -- clocks: phandle for up to three required clocks for the MDIO instance
> > +- clocks: phandle for up to four required clocks for the MDIO instance
> 
> This needs to enumerate exactly what the clocks are. Shouldn't there
> be an additional clock-names value too?

Hi Rob

The driver does not care what they are called. It just turns them all
on, and turns them off again when removed.

    Andrew